Create Zone - Fabric

Create Zone

cURL

curl --request POST \
  --url https://api.fabric.inc/v3/location-zones \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
  --data '
{
  "zoneName": "US_LOCATIONS",
  "zoneType": "ABSOLUTE",
  "description": "Specific zone for US Locations",
  "locations": [
    {
      "priority": 1,
      "locationNumber": 23
    }
  ],
  "tiers": [
    {
      "filters": [
        {
          "field": "location.locationNum",
          "condition": "EQ",
          "value": "<unknown>",
          "group": "GroupA"
        }
      ],
      "sort": "+location.createdAt",
      "tier": 123
    }
  ]
}
'

Python

import requests

url = "https://api.fabric.inc/v3/location-zones"

payload = {
    "zoneName": "US_LOCATIONS",
    "zoneType": "ABSOLUTE",
    "description": "Specific zone for US Locations",
    "locations": [
        {
            "priority": 1,
            "locationNumber": 23
        }
    ],
    "tiers": [
        {
            "filters": [
                {
                    "field": "location.locationNum",
                    "condition": "EQ",
                    "value": "<unknown>",
                    "group": "GroupA"
                }
            ],
            "sort": "+location.createdAt",
            "tier": 123
        }
    ]
}
headers = {
    "x-fabric-tenant-id": "<x-fabric-tenant-id>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {
  method: 'POST',
  headers: {
    'x-fabric-tenant-id': '<x-fabric-tenant-id>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    zoneName: 'US_LOCATIONS',
    zoneType: 'ABSOLUTE',
    description: 'Specific zone for US Locations',
    locations: [{priority: 1, locationNumber: 23}],
    tiers: [
      {
        filters: [
          {
            field: 'location.locationNum',
            condition: 'EQ',
            value: '<unknown>',
            group: 'GroupA'
          }
        ],
        sort: '+location.createdAt',
        tier: 123
      }
    ]
  })
};

fetch('https://api.fabric.inc/v3/location-zones', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Success Response

{
  "zoneName": "US_LOCATIONS",
  "zoneType": "ABSOLUTE",
  "zoneId": "9372919a8219e8",
  "description": "Specific zone for US Locations",
  "locations": [
    {
      "priority": 1,
      "locationNumber": 23
    }
  ],
  "tiers": [
    {
      "filters": [
        {
          "field": "location.locationNum",
          "condition": "EQ",
          "value": "<unknown>",
          "group": "GroupA"
        }
      ],
      "sort": "+location.createdAt",
      "tier": 123
    }
  ],
  "createdAt": "2022-05-12T09:30:31.198Z",
  "updatedAt": "2022-05-12T09:30:31.198Z"
}

Error Response

{
  "type": "CLIENT_ERROR",
  "errorCode": "SERVICE-4001",
  "message": "Unauthorized request",
  "errors": [],
  "context": {
    "service": "orders",
    "endpoint": "POST /v3/orders/OrderId_12345"
  }
}

Authorization Details

Authorization

Headers